﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="InquiryManager._Default" validateRequest="false"%>
<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="asp" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>引合管理 - Inquiry Manager</title>
    <link href="Style.css" rel="stylesheet" type="text/css" />
    </head>
<body>
    <form id="form1" runat="server">
    <h1>
        <asp:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
        </asp:ToolkitScriptManager>
        引合管理 - Inquiry Manager</h1>
    <div>
        <asp:LinkButton ID="LinkButtonDefault" runat="server" 
            PostBackUrl="~/Default.aspx">引合管理</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetEmp" runat="server" 
            PostBackUrl="~/SetEmp.aspx">従業員設定</asp:LinkButton>
        <hr />
        <asp:MultiView ID="MultiView1" runat="server" ActiveViewIndex="0">
            <asp:View ID="View1" runat="server">
                <table>
                    <tr>
                        <td>
                            引合ID</td>
                        <td>
                            <asp:TextBox ID="TextBoxInquiryID1" runat="server"></asp:TextBox>
                            <asp:CompareValidator ID="CompareValidatorInquiryID" runat="server" 
                                ControlToValidate="TextBoxInquiryID1" 
                                ErrorMessage="1以上の整数を入力してください" Type="Integer" Operator="DataTypeCheck"></asp:CompareValidator>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            見積No.</td>
                        <td>
                            <asp:TextBox ID="TextBoxEstimateNo1" runat="server"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            設計担当</td>
                        <td>
                            所属<asp:DropDownList ID="DropDownListDesignerDepertment1" runat="server" 
                                AppendDataBoundItems="True" DataSourceID="sdsDesignerDepertment1" 
                                DataTextField="EmpDepertment" DataValueField="EmpDepertment" Width="150px" 
                                AutoPostBack="True" 
                                
                                
                                onselectedindexchanged="DropDownListDesignerDepertment1_SelectedIndexChanged" 
                                ondatabound="DropDownListDesignerDepertment1_DataBound">
                                <asp:ListItem></asp:ListItem>
                            </asp:DropDownList>
                            名前<asp:DropDownList ID="DropDownListDesignerName1" runat="server" 
                                AppendDataBoundItems="True" DataSourceID="sdsDesignerName1" 
                                DataTextField="EmpName" DataValueField="EmpID" Width="150px" 
                                ondatabound="DropDownListDesignerName1_DataBound">
                                <asp:ListItem></asp:ListItem>
                            </asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            営業担当</td>
                        <td>
                            所属<asp:DropDownList ID="DropDownListSalespersonDepertment1" runat="server" 
                                AppendDataBoundItems="True" DataSourceID="sdsSalespersonDepertment1" 
                                DataTextField="EmpDepertment" DataValueField="EmpDepertment" Width="150px" 
                                AutoPostBack="True" 
                                onselectedindexchanged="DropDownListSalespersonDepertment1_SelectedIndexChanged">
                                <asp:ListItem></asp:ListItem>
                            </asp:DropDownList>
                            名前<asp:DropDownList ID="DropDownListSalespersonName1" runat="server" 
                                AppendDataBoundItems="True" DataSourceID="sdsSalespersonName1" 
                                DataTextField="EmpName" DataValueField="EmpID" Width="150px">
                                <asp:ListItem></asp:ListItem>
                            </asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            回答要求日時</td>
                        <td>
                            <asp:TextBox ID="TextBoxResponseTimeLimitBegin1" runat="server"></asp:TextBox>
                            <asp:TextBoxWatermarkExtender ID="TextBoxResponseTimeLimitBegin1_TextBoxWatermarkExtender" 
                                runat="server" TargetControlID="TextBoxResponseTimeLimitBegin1" 
                                WatermarkCssClass="watermarked" WatermarkText="yyyy-mm-dd"></asp:TextBoxWatermarkExtender>
                            ～<asp:TextBox ID="TextBoxResponseTimeLimitEnd1" runat="server"></asp:TextBox>
                            <asp:CustomValidator ID="CustomValidatorResponseTimeLimitBegin" runat="server" 
                                ControlToValidate="TextBoxResponseTimeLimitBegin1" 
                                ErrorMessage="CustomValidator" 
                                onservervalidate="CustomValidatorResponseTimeLimitBegin_ServerValidate">「yyyy-mm-dd」形式で入力してください</asp:CustomValidator>
                            <asp:CustomValidator ID="CustomValidatorResponseTimeLimitEnd" runat="server" 
                                ControlToValidate="TextBoxResponseTimeLimitEnd1" ErrorMessage="CustomValidator" 
                                onservervalidate="CustomValidatorResponseTimeLimitEnd_ServerValidate">「yyyy-mm-dd」形式で入力してください</asp:CustomValidator>
                            <asp:TextBoxWatermarkExtender ID="TextBoxResponseTimeLimitEnd1_TextBoxWatermarkExtender" 
                                runat="server" TargetControlID="TextBoxResponseTimeLimitEnd1" 
                                WatermarkCssClass="watermarked" WatermarkText="yyyy-mm-dd"></asp:TextBoxWatermarkExtender>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            回答有無</td>
                        <td>
                            <asp:DropDownList ID="DropDownListResponseStatus" runat="server">
                                <asp:ListItem>未指定</asp:ListItem>
                                <asp:ListItem>有</asp:ListItem>
                                <asp:ListItem>無</asp:ListItem>
                            </asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            客先</td>
                        <td>
                            <asp:TextBox ID="TextBoxCustomer1" runat="server" Width="500px"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            機種</td>
                        <td>
                            <asp:TextBox ID="TextBoxMachineType1" runat="server" Width="500px"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            引合結果</td>
                        <td>
                            <asp:TextBox ID="TextBoxInquiryResult1" runat="server"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            要求/回答/メモ</td>
                        <td>
                            <asp:TextBox ID="TextBoxRequestResponseMemo" runat="server" Width="500px"></asp:TextBox>
                        </td>
                    </tr>
                </table>
                <br />
                <asp:Button ID="ButtonSearch" runat="server" Text="検索" 
                    onclick="ButtonSearch_Click" />
                <asp:Button ID="ButtonClear" runat="server" onclick="ButtonClear_Click" 
                    Text="クリア" />
                <asp:Button ID="ButtonNew" runat="server" onclick="ButtonNew_Click" 
                    Text="新規作成" />
                <br />
                <br />
                <asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
                    AllowSorting="True" AutoGenerateColumns="False" AutoGenerateSelectButton="True" 
                    CellPadding="4" DataKeyNames="InquiryID" DataSourceID="sdsInquiry1" 
                    ForeColor="#333333" GridLines="Vertical" 
                    onselectedindexchanging="GridView1_SelectedIndexChanging" PageSize="20" 
                    onpageindexchanged="GridView1_PageIndexChanged" onsorted="GridView1_Sorted">
                    <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                    <Columns>
                        <asp:BoundField DataField="InquiryID" HeaderText="引合ID" ReadOnly="True" 
                            SortExpression="InquiryID" />
                        <asp:BoundField DataField="EstimateNo" HeaderText="見積No." ReadOnly="True" 
                            SortExpression="EstimateNo" />
                        <asp:BoundField DataField="DesignerDepertment" HeaderText="設計所属" 
                            SortExpression="DesignerDepertment" />
                        <asp:BoundField DataField="DesignerName" HeaderText="設計担当" 
                            SortExpression="DesignerName" />
                        <asp:BoundField DataField="SalespersonDepertment" HeaderText="営業所属" 
                            SortExpression="SalespersonDepertment" />
                        <asp:BoundField DataField="SalespersonName" HeaderText="営業担当" 
                            SortExpression="SalespersonName" />
                        <asp:BoundField DataField="ResponseTimeLimit" HeaderText="回答要求日時" 
                            SortExpression="ResponseTimeLimit" DataFormatString="{0:yyyy-MM-dd}" HtmlEncode="false" />
                        <asp:BoundField DataField="ResponseTime" HeaderText="回答日時" 
                            SortExpression="ResponseTime" DataFormatString="{0:yyyy-MM-dd}" HtmlEncode="false" />
                        <asp:BoundField DataField="Customer" HeaderText="客先" 
                            SortExpression="Customer" />
                        <asp:BoundField DataField="MachineType" HeaderText="機種" 
                            SortExpression="MachineType" />
                        <asp:BoundField DataField="InquiryResult" HeaderText="引合結果" 
                            SortExpression="InquiryResult" />
                        <asp:BoundField DataField="ManHours" HeaderText="対応工数" 
                            SortExpression="ManHours" />
                    </Columns>
                    <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                    <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                    <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                    <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                    <EditRowStyle BackColor="#999999" />
                    <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
                </asp:GridView>
                <asp:Label ID="LabelNumRows" runat="server" Text="総レコード数:"></asp:Label>
                <asp:SqlDataSource ID="sdsInquiry1" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                    
                    SelectCommand="SELECT [InquiryID], EmpDesigner.EmpDepertment AS DesignerDepertment, EmpDesigner.EmpName AS DesignerName, EmpSalesperson.EmpDepertment AS SalespersonDepertment, EmpSalesperson.EmpName AS SalespersonName, [ResponseTimeLimit], [ResponseTime], [Customer], [MachineType], [InquiryResult], [ManHours], [EstimateNo] FROM [TableInquiry] LEFT JOIN [TableEmp] AS EmpDesigner ON TableInquiry.DesignerID = EmpDesigner.EmpID LEFT JOIN [TableEmp] AS EmpSalesperson ON TableInquiry.SalespersonID = EmpSalesperson.EmpID ORDER BY CASE WHEN [ResponseTime] IS NULL THEN 0 ELSE 1 END, [ResponseTime] DESC, [ResponseTimeLimit]" 
                    onselected="sdsInquiry1_Selected">
                </asp:SqlDataSource>
                <asp:SqlDataSource ID="sdsDesignerDepertment1" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                    
                    
                    SelectCommand="SELECT DISTINCT [EmpDepertment] FROM [TableEmp]  ORDER BY [EmpDepertment]">
                </asp:SqlDataSource>
                <asp:SqlDataSource ID="sdsDesignerName1" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                    
                    SelectCommand="SELECT [EmpID], [EmpName] FROM [TableEmp]  ORDER BY [EmpName]">
                </asp:SqlDataSource>
                <asp:SqlDataSource ID="sdsSalespersonDepertment1" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                    
                    
                    SelectCommand="SELECT DISTINCT [EmpDepertment] FROM [TableEmp]  ORDER BY [EmpDepertment]">
                </asp:SqlDataSource>
                <asp:SqlDataSource ID="sdsSalespersonName1" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                    
                    
                    SelectCommand="SELECT DISTINCT [EmpID], [EmpName] FROM [TableEmp] ORDER BY [EmpName]">
                </asp:SqlDataSource>
            </asp:View>
            <asp:View ID="View2" runat="server">
                <asp:FormView ID="FormView1" runat="server" CellPadding="4" 
                    DataKeyNames="InquiryID" DataSourceID="sdsInquiry2" ForeColor="#333333" 
                    onitemdeleted="FormView1_ItemDeleted" 
                    oniteminserted="FormView1_ItemInserted" ondatabound="FormView1_DataBound">
                    <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                    <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                    <EditItemTemplate>
                        <asp:LinkButton ID="LinkButton1" runat="server" CausesValidation="True" CommandName="Update" Text="更新" />&nbsp;
                        <asp:LinkButton ID="LinkButton2" runat="server" CausesValidation="False" CommandName="Cancel" Text="キャンセル" />
                        <br /><br />
                    <table>
                    <tr>
                    <td>
                    引合ID
                    </td>
                    <td>
                        <asp:Label ID="InquiryIDLabel2" runat="server" 
                            Text='<%# Eval("InquiryID") %>' />
                    </td>
                    </tr>
                    <tr>
                    <td>
                    見積No.
                    </td>
                    <td>
                        <asp:TextBox ID="TextBoxEstimateNo2" runat="server" 
                            Text='<%# Bind("EstimateNo") %>' />
                    </td>
                    </tr>
                    <tr>
                    <td>
                        設計所属
                    </td>
                    <td>
                        <asp:DropDownList ID="DropDownListDesignerDepertment2" runat="server" 
                            DataSourceID="sdsDesignerDepertment2" DataTextField="EmpDepertment" 
                            DataValueField="EmpDepertment" 
                            onselectedindexchanged="DropDownListDesignerDepertment2_SelectedIndexChanged" 
                            AutoPostBack="True" Width="150px" AppendDataBoundItems="True">
                            <asp:ListItem></asp:ListItem>
                        </asp:DropDownList>
                    </td>
                    </tr>
                    <tr>
                    <td>
                        設計担当
                    </td>
                    <td>
                        <asp:DropDownList ID="DropDownListDesignerName2" runat="server" 
                            DataSourceID="sdsDesignerName2" DataTextField="EmpName" 
                            DataValueField="EmpID" Width="150px" AppendDataBoundItems="True">
                            <asp:ListItem></asp:ListItem>
                        </asp:DropDownList>
                    </td>
                    </tr>
                    <tr>
                    <td>
                        営業所属
                    </td>
                    <td>
                        <asp:DropDownList ID="DropDownListSalespersonDepertment2" runat="server" 
                            AutoPostBack="True" DataSourceID="sdsSalespersonDepertment2" 
                            DataTextField="EmpDepertment" DataValueField="EmpDepertment" 
                            onselectedindexchanged="DropDownListSalespersonDepertment2_SelectedIndexChanged" 
                            Width="150px" AppendDataBoundItems="True">
                            <asp:ListItem></asp:ListItem>
                        </asp:DropDownList>
                    </td>
                    </tr>
                    <tr>
                    <td>
                        営業担当
                    </td>
                    <td>
                        <asp:DropDownList ID="DropDownListSalespersonName2" runat="server" 
                            DataSourceID="sdsSalespersonName2" DataTextField="EmpName" 
                            DataValueField="EmpID" Width="150px" AppendDataBoundItems="True">
                            <asp:ListItem></asp:ListItem>
                        </asp:DropDownList>
                    </td>
                    </tr>
                    <tr>
                    <td>
                    発番日時
                    </td>
                    <td>
                        <asp:Label ID="LabelCreatedTime2" runat="server" />
                    </td>
                    </tr>
                    <tr>
                    <td>
                    回答要求日時
                    </td>
                    <td>
                        <asp:TextBox ID="TextBoxResponseTimeLimit2" runat="server"></asp:TextBox>
                        <asp:TextBoxWatermarkExtender ID="TextBoxResponseTimeLimit2_TextBoxWatermarkExtender" 
                            runat="server" TargetControlID="TextBoxResponseTimeLimit2" 
                            WatermarkCssClass="watermarked" WatermarkText="yyyy-mm-dd"></asp:TextBoxWatermarkExtender>
                        <asp:CustomValidator ID="CustomValidatorResponseTimeLimit" runat="server" 
                            ControlToValidate="TextBoxResponseTimeLimit2" 
                            onservervalidate="CustomValidatorResponseTimeLimit_ServerValidate">「yyyy-mm-dd」形式で入力してください</asp:CustomValidator>
                    </td>
                    </tr>
                    <tr>
                    <td>
                    回答日時
                    </td>
                    <td>
                        <asp:TextBox ID="TextBoxResponseTime2" runat="server"></asp:TextBox>
                        <asp:TextBoxWatermarkExtender ID="TextBoxResponseTime2_TextBoxWatermarkExtender" 
                            runat="server" TargetControlID="TextBoxResponseTime2" 
                            WatermarkCssClass="watermarked" WatermarkText="yyyy-mm-dd"></asp:TextBoxWatermarkExtender>
                        <asp:CustomValidator ID="CustomValidatorResponseTime" runat="server" 
                            ControlToValidate="TextBoxResponseTime2" ErrorMessage="CustomValidator" 
                            onservervalidate="CustomValidatorResponseTime_ServerValidate">「yyyy-mm-dd」形式で入力してください</asp:CustomValidator>
                    </td>
                    </tr>
                    <tr>
                    <td>
                    客先
                    </td>
                    <td>
                        <asp:TextBox ID="CustomerTextBox2" runat="server" 
                            Text='<%# Bind("Customer") %>' Width="600px" />
                    </td>
                    </tr>
                    <tr>
                    <td>
                    機種
                    </td>
                    <td>
                        <asp:TextBox ID="MachineTypeTextBox2" runat="server" 
                            Text='<%# Bind("MachineType") %>' Width="600px" />
                    </td>
                    </tr>
                    <tr>
                    <td>
                    引合結果
                    </td>
                    <td>
                         <asp:TextBox ID="InquiryResultTextBox2" runat="server" 
                            Text='<%# Bind("InquiryResult") %>' />
                    </td>
                    </tr>
                    <tr>
                    <td>
                    対応工数
                    </td>
                    <td>
                         <asp:TextBox ID="TextBoxManHours2" runat="server" 
                            Text='<%# Bind("ManHours") %>' />
                         <asp:CompareValidator ID="CompareValidatorManHours" runat="server" 
                             ControlToValidate="TextBoxManHours2" ErrorMessage="数値を入力してください" 
                             Operator="DataTypeCheck" Type="Double"></asp:CompareValidator>
                    </td>
                    </tr>
                    <tr>
                    <td>
                    要求
                    </td>
                    <td>
                        <asp:TextBox ID="RequestTextBox2" runat="server" Height="200px" 
                            Text='<%# Bind("Request") %>' TextMode="MultiLine" Width="600px"></asp:TextBox>
                    </td>
                    </tr>
                     <tr>
                    <td>
                    回答
                    </td>
                    <td>
                        <asp:TextBox ID="ResponseTextBox2" runat="server" Height="200px" 
                            Text='<%# Bind("Response") %>' TextMode="MultiLine" Width="600px"></asp:TextBox>
                    </td>
                    </tr> 
                     <tr>
                    <td>
                    メモ
                    </td>
                    <td>
                        <asp:TextBox ID="MemoTextBox2" runat="server" Height="200px" 
                            Text='<%# Bind("Memo") %>' TextMode="MultiLine" Width="600px"></asp:TextBox>
                    </td>
                    </tr>         
                    </table>
                    <br />
                        <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update" Text="更新" />&nbsp;                        
                        <asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel" Text="キャンセル" />
                    </EditItemTemplate>
                    <InsertItemTemplate>
                        <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" 
                            CommandName="Insert" Text="挿入" />
                        &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" 
                            CausesValidation="False" CommandName="Cancel" Text="キャンセル" 
                            onclick="InsertCancelButton_Click" />
                    </InsertItemTemplate>
                    <ItemTemplate>
                        <asp:LinkButton ID="LinkButton3" runat="server" CausesValidation="False" CommandName="Edit" Text="編集" />&nbsp;
                        <asp:LinkButton ID="LinkButton4" runat="server" CausesValidation="False" CommandName="Delete" Text="削除" onclientclick="return confirm('削除します。元に戻せません。よろしいですか？')" />&nbsp;
                        <asp:LinkButton ID="LinkButton5" runat="server" onclick="LinkButtonGoList_Click">一覧へ</asp:LinkButton>
                        <br /><br />
                        <table>
                        <tr>
                        <td>
                        引合ID
                        </td>
                        <td>
                        <asp:Label ID="InquiryIDLabel2" runat="server" Text='<%# Eval("InquiryID") %>' />
                        </td>
                        </tr>
                        <tr>
                        <td>
                        見積No.
                        </td>
                        <td>
                        <asp:Label ID="LabelEstimateNo2" runat="server" Text='<%# Bind("EstimateNo") %>' />
                        </td>
                        </tr>
                        <tr>
                        <td>
                        設計担当
                        </td>
                        <td>
                        <asp:Label ID="DesignerIDLabel2" runat="server" Text='<%# HttpUtility.HtmlEncode(Eval("DesignerID").ToString()) %>' /> 
                        <asp:Label ID="DesignerDepertmentLabel2" runat="server" Text='<%# HttpUtility.HtmlEncode(Eval("DesignerDepertment").ToString()) %>' /> 
                        <asp:Label ID="DesignerNameLabel2" runat="server" Text='<%# HttpUtility.HtmlEncode(Eval("DesignerName").ToString()) %>' />
                        </td>
                        </tr>                    
                        <tr>
                        <td>
                        営業担当
                        </td>
                        <td>
                        <asp:Label ID="SalespersonIDLabel2" runat="server" Text='<%# HttpUtility.HtmlEncode(Eval("SalespersonID").ToString()) %>' />
                        <asp:Label ID="SalespersonDepertmentLabel2" runat="server" Text='<%# HttpUtility.HtmlEncode(Eval("SalespersonDepertment").ToString()) %>' />
                        <asp:Label ID="SalespersonNameLabel2" runat="server" Text='<%# HttpUtility.HtmlEncode(Eval("SalespersonName").ToString()) %>' />
                        </td>
                        </tr>
                        <tr>
                        <td>
                        発番日時
                        </td>
                        <td>
                            <asp:Label ID="LabelCreatedTime2" runat="server" Text="LabelCreatedTime2"></asp:Label>
                        </td>
                        </tr>
                        <tr>
                        <td>
                        回答要求日時
                        </td>
                        <td>
                            <asp:Label ID="LabelResponseTimeLimit2" runat="server" Text="LabelResponseTimeLimit2"></asp:Label>
                        </td>
                        </tr>
                        <tr>
                        <td>
                        回答日時
                        </td>
                        <td>
                            <asp:Label ID="LabelResponseTime2" runat="server" Text="LabelCreatedTime2"></asp:Label>
                        </td>
                        </tr>
                        <tr>
                        <td>
                        客先
                        </td>
                        <td>
                        <asp:Label ID="CustomerLabel2" runat="server" Text='<%# HttpUtility.HtmlEncode(Eval("Customer").ToString()) %>' />
                        </td>
                        </tr>
                        <tr>
                        <td>
                        機種
                        </td>
                        <td>
                        <asp:Label ID="MachineTypeLabel2" runat="server" Text='<%# HttpUtility.HtmlEncode(Eval("MachineType").ToString()) %>' />
                        </td>
                        </tr>
                        <tr>
                        <td>
                        引合結果
                        </td>
                        <td>
                        <asp:Label ID="InquiryResultLabel2" runat="server" Text='<%# HttpUtility.HtmlEncode(Eval("InquiryResult").ToString()) %>' />
                        </td>
                        </tr>
                        <tr>
                        <td>
                        対応工数
                        </td>
                        <td>
                        <asp:Label ID="LabelManHours2" runat="server" Text='<%# Bind("ManHours") %>' />
                        </td>
                        </tr>
                        </table>
                        <h3>要求</h3>
                        <asp:Literal ID="LiteralRequest" runat="server" 
                            Text='<%# HttpUtility.HtmlEncode(Eval("Request").ToString()).Replace(Environment.NewLine,"<br/>") %>'></asp:Literal>
                        <br />
                        <h3>回答</h3>
                        <asp:Literal ID="LiteralResponse" runat="server" 
                            Text='<%# HttpUtility.HtmlEncode(Eval("Response").ToString()).Replace(Environment.NewLine,"<br/>") %>'></asp:Literal>
                        <br />
                        <h3>メモ</h3>
                        <asp:Literal ID="LiteralMemo" runat="server" 
                            Text='<%# HttpUtility.HtmlEncode(Eval("Memo").ToString()).Replace(Environment.NewLine,"<br/>") %>'></asp:Literal>
                        <br />
                        <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit" Text="編集" />&nbsp;
                        <asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" CommandName="Delete" Text="削除" onclientclick="return confirm('削除します。元に戻せません。よろしいですか？')" />&nbsp;
                        <asp:LinkButton ID="LinkButtonGoList" runat="server" onclick="LinkButtonGoList_Click">一覧へ</asp:LinkButton>
                    </ItemTemplate>
                    <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                    <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                    <HeaderTemplate>
                        引合情報
                    </HeaderTemplate>
                    <EditRowStyle BackColor="#999999" />
                </asp:FormView>
                <asp:SqlDataSource ID="sdsInquiry2" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                    DeleteCommand="DELETE FROM [TableInquiry] WHERE [InquiryID] = @InquiryID" 
                    InsertCommand="INSERT INTO [TableInquiry] ([InquiryID], [DesignerID], [SalespersonID],[CreatedTime], [ResponseTimeLimit], [ResponseTime], [Customer], [MachineType], [Request], [Response], [InquiryResult], [InquiryResultDetail], [EstimateNo], [Memo]) VALUES (@InquiryID, @DesignerID, @SalespersonID, @CreatedTime, @ResponseTimeLimit, @ResponseTime, @Customer, @MachineType, @Request, @Response, @InquiryResult, @EstimateNo, @Memo)" 
                    onupdating="sdsInquiry2_Updating" 
                    SelectCommand="SELECT [InquiryID], [DesignerID], EmpDesigner.EmpDepertment AS DesignerDepertment, EmpDesigner.EmpName AS DesignerName, [SalespersonID],EmpSalesperson.EmpDepertment AS SalespersonDepertment, EmpSalesperson.EmpName AS SalespersonName, [CreatedTime], [ResponseTimeLimit], [ResponseTime], [Customer], [MachineType], [Request], [Response], [InquiryResult], [ManHours], [EstimateNo], TableInquiry.Memo FROM [TableInquiry] LEFT JOIN [TableEmp] AS EmpDesigner ON TableInquiry.DesignerID = EmpDesigner.EmpID LEFT JOIN [TableEmp] AS EmpSalesperson ON TableInquiry.SalespersonID = EmpSalesperson.EmpID WHERE ([InquiryID] = @InquiryID)" 
                    UpdateCommand="UPDATE [TableInquiry] SET [DesignerID] = @DesignerID, [SalespersonID] = @SalespersonID, [ResponseTimeLimit] = @ResponseTimeLimit, [ResponseTime] = @ResponseTime, [Customer] = @Customer, [MachineType] = @MachineType, [Request] = @Request, [Response] = @Response, [InquiryResult] = @InquiryResult, [ManHours] = @ManHours, [EstimateNo] = @EstimateNo, [Memo] = @Memo WHERE [InquiryID] = @InquiryID" 
                    ProviderName="<%$ ConnectionStrings:ConnectionString.ProviderName %>">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="GridView1" Name="InquiryID" 
                            PropertyName="SelectedValue" Type="Int32" />
                    </SelectParameters>
                    <DeleteParameters>
                        <asp:Parameter Name="InquiryID" Type="Int32" />
                    </DeleteParameters>
                    <UpdateParameters>
                        <asp:Parameter Name="InquiryID" Type="Int32" />
                        <asp:Parameter Name="DesignerID" Type="String" />
                        <asp:Parameter Name="SalespersonID" Type="String" />
                        <asp:Parameter Name="CreatedTime" Type="DateTime" />
                        <asp:Parameter Name="ResponseTimeLimit" Type="DateTime" />
                        <asp:Parameter Name="ResponseTime" Type="DateTime" />
                        <asp:Parameter Name="Customer" Type="String" />
                        <asp:Parameter Name="MachineType" Type="String" />
                        <asp:Parameter Name="Request" Type="String" />
                        <asp:Parameter Name="Response" Type="String" />
                        <asp:Parameter Name="InquiryResult" Type="String" />
                        <asp:Parameter Name="ManHours" Type="String" />
                        <asp:Parameter Name="EstimateNo" Type="String" />
                        <asp:Parameter Name="Memo" Type="String" />
                    </UpdateParameters>
                    <InsertParameters>
                        <asp:Parameter Name="InquiryID" Type="Int32" />
                        <asp:Parameter Name="DesignerID" Type="String" />
                        <asp:Parameter Name="SalespersonID" Type="String" />
                        <asp:Parameter Name="CreatedTime" Type="DateTime" />
                        <asp:Parameter Name="ResponseTimeLimit" Type="DateTime" />
                        <asp:Parameter Name="ResponseTime" Type="DateTime" />
                        <asp:Parameter Name="Customer" Type="String" />
                        <asp:Parameter Name="MachineType" Type="String" />
                        <asp:Parameter Name="Request" Type="String" />
                        <asp:Parameter Name="Response" Type="String" />
                        <asp:Parameter Name="InquiryResult" Type="String" />
                        <asp:Parameter Name="ManHours" Type="String" />
                        <asp:Parameter Name="EstimateNo" Type="String" />
                        <asp:Parameter Name="Memo" Type="String" />
                    </InsertParameters>
                </asp:SqlDataSource>
                <asp:SqlDataSource ID="sdsDesignerDepertment2" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                    SelectCommand="SELECT DISTINCT [EmpDepertment] FROM [TableEmp]">
                </asp:SqlDataSource>
                <asp:SqlDataSource ID="sdsDesignerName2" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                    SelectCommand="SELECT [EmpID], [EmpName], [EmpDepertment] FROM [TableEmp]">
                </asp:SqlDataSource>
                <asp:SqlDataSource ID="sdsSalespersonDepertment2" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                    SelectCommand="SELECT DISTINCT [EmpDepertment] FROM [TableEmp]">
                </asp:SqlDataSource>
                <asp:SqlDataSource ID="sdsSalespersonName2" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                    SelectCommand="SELECT [EmpID], [EmpName], [EmpDepertment] FROM [TableEmp]">
                </asp:SqlDataSource>
            </asp:View>
        </asp:MultiView>
    
    </div>
    </form>
</body>
</html>
