﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SetEmp.aspx.cs" Inherits="InquiryManager.SetEmp" validateRequest="false"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>従業員管理 - Inquiry Manager</title>
    <link href="Style.css" rel="stylesheet" type="text/css" />
    </head>
<body>
    <form id="form1" runat="server">
    <h1>従業員管理 - Inquiry Manager</h1>
    <div>
        <asp:LinkButton ID="LinkButtonDefault" runat="server" 
            PostBackUrl="~/Default.aspx">引合管理</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetEmp" runat="server" 
            PostBackUrl="~/SetEmp.aspx">従業員設定</asp:LinkButton>
        <hr />
    </div>
    <asp:MultiView ID="MultiView1" runat="server" ActiveViewIndex="0">
        <asp:View ID="View1" runat="server">
        <table>
        <tr>
            <td>
                従業員ID</td>
            <td>
                <asp:TextBox ID="TextBoxEmpID" runat="server"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td>
                名前</td>
            <td>
                <asp:TextBox ID="TextBoxEmpName" runat="server"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td>
                所属</td>
            <td>
                <asp:DropDownList ID="DropDownListEmpDepertment" runat="server" 
                    DataSourceID="sdsEmpDepertment" DataTextField="EmpDepertment" 
                    AppendDataBoundItems="True">
                    <asp:ListItem></asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                メモ</td>
            <td>
                <asp:TextBox ID="TextBoxMemo" runat="server"></asp:TextBox>
            </td>
        </tr>
        </table>
        <br />
        <asp:Button ID="ButtonSearch" runat="server" Text="検索" 
                onclick="ButtonSearch_Click" />
        <asp:Button ID="ButtonNew" runat="server" onclick="ButtonNew_Click" 
                Text="新規作成" />
        <br />
        <br />
            <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True" 
                AutoGenerateColumns="False" AutoGenerateSelectButton="True" CellPadding="4" 
                DataKeyNames="EmpID" DataSourceID="sdsEmp1" ForeColor="#333333" 
                GridLines="Vertical" onselectedindexchanging="GridView1_SelectedIndexChanging" 
                PageSize="20">
                <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                <Columns>
                    <asp:BoundField DataField="EmpID" HeaderText="従業員ID" ReadOnly="True" 
                        SortExpression="EmpID" />
                    <asp:BoundField DataField="EmpName" HeaderText="名前" 
                        SortExpression="EmpName" />
                    <asp:BoundField DataField="EmpDepertment" HeaderText="所属" 
                        SortExpression="EmpDepertment" />
                </Columns>
                <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                <EditRowStyle BackColor="#999999" />
                <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
            </asp:GridView>
            <asp:SqlDataSource ID="sdsEmp1" runat="server" 
                ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                
                SelectCommand="SELECT [EmpID], [EmpName], [EmpDepertment] FROM [TableEmp] ORDER BY [EmpDepertment], [EmpName]">
            </asp:SqlDataSource>
            <asp:SqlDataSource ID="sdsEmpDepertment" runat="server" 
                ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                SelectCommand="SELECT DISTINCT [EmpDepertment] FROM [TableEmp] ORDER BY [EmpDepertment]">
            </asp:SqlDataSource>
        </asp:View>
        <asp:View ID="View2" runat="server">
            <asp:FormView ID="FormView1" runat="server" CellPadding="4" 
                DataKeyNames="EmpID" DataSourceID="sdsEmp2" ForeColor="#333333" 
                onitemdeleted="FormView1_ItemDeleted" 
                oniteminserted="FormView1_ItemInserted" onitemdeleting="FormView1_ItemDeleting">
                <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                <EditItemTemplate>
                    <table>
                        <tr>
                            <td>
                                従業員ID
                            </td>
                            <td>
                                <asp:Label ID="EmpIDLabel1" runat="server" Text='<%# Eval("EmpID") %>' />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                名前
                            </td>
                            <td>
                                <asp:TextBox ID="EmpNameTextBox" runat="server" Text='<%# Bind("EmpName") %>' />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                所蔵 
                            </td>
                            <td>
                                <asp:TextBox ID="EmpDepertmentTextBox" runat="server" 
                                    Text='<%# Bind("EmpDepertment") %>' />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                メモ
                            </td>
                            <td>
                                <asp:TextBox ID="MemoTextBox" runat="server" Height="200px" Rows="5" 
                                    Text='<%# Bind("Memo") %>' TextMode="MultiLine" Width="600px" Wrap="False"></asp:TextBox>
                            </td>
                        </tr>
                    </table>
&nbsp;<asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" 
                        CommandName="Update" Text="更新" />
                    &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" 
                        CausesValidation="False" CommandName="Cancel" Text="キャンセル" />
                </EditItemTemplate>
                <InsertItemTemplate>
                    <table>
                    <tr>
                    <td>
                    従業員ID
                    </td>
                    <td>
                    <asp:TextBox ID="EmpIDTextBox" runat="server" Text='<%# Bind("EmpID") %>' />
                    </td>
                    </tr>
                    <tr>
                    <td>
                    名前
                    </td>
                    <td>
                    <asp:TextBox ID="EmpNameTextBox" runat="server" Text='<%# Bind("EmpName") %>' />
                    </td>
                    </tr>
                    <tr>
                    <td>
                    所属
                    </td>
                    <td>
                    <asp:TextBox ID="EmpDepertmentTextBox" runat="server" 
                        Text='<%# Bind("EmpDepertment") %>' />
                    </td>
                    </tr>
                    <tr>
                    <td>
                    メモ
                    </td>
                    <td>
                    <asp:TextBox ID="MemoTextBox" runat="server" Text='<%# Bind("Memo") %>' 
                            Height="200px" TextMode="MultiLine" Width="600px" />
                    </td>
                    </tr>
                    </table>
                    <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" 
                        CommandName="Insert" Text="挿入" />
                    &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" 
                        CausesValidation="False" CommandName="Cancel" Text="キャンセル" 
                        onclick="InsertCancelButton_Click" />
                </InsertItemTemplate>
                <ItemTemplate>
                    <table>
                    <tr>
                    <td>
                    従業員ID
                    </td>
                    <td>
                    <asp:Label ID="EmpIDLabel" runat="server" Text='<%# HttpUtility.HtmlEncode(Eval("EmpID").ToString()) %>' />
                    </td>
                    </tr>
                    <tr>
                    <td>
                    名前
                    </td>
                    <td>
                    <asp:Label ID="EmpNameLabel" runat="server" Text='<%# HttpUtility.HtmlEncode(Eval("EmpName").ToString()) %>' />
                    </td>
                    </tr>
                    <tr>
                    <td>
                    所属
                    </td>
                    <td>
                    <asp:Label ID="EmpDepertmentLabel" runat="server" 
                        Text='<%# HttpUtility.HtmlEncode(Eval("EmpDepertment").ToString()) %>' />
                    </td>
                    </tr>
                    <tr>
                    <td>
                    メモ
                    </td>
                    <td>
                    <asp:TextBox ID="TextBoxMemo" runat="server" Height="200px" ReadOnly="True" 
                        Text='<%# Eval("Memo").ToString() %>' TextMode="MultiLine" Width="600px"></asp:TextBox>
                    </td>
                    </tr>
                    </table>
                    <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" 
                        CommandName="Edit" Text="編集" />
                    &nbsp;<asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" 
                        CommandName="Delete" Text="削除" OnClientClick="return confirm('削除します。元に戻せません。よろしいですか？')" />
                    &nbsp;<asp:LinkButton ID="LinkButtonGoList" runat="server" 
                        onclick="LinkButtonGoList_Click">一覧へ</asp:LinkButton>
                </ItemTemplate>
                <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                <EditRowStyle BackColor="#999999" />
            </asp:FormView>
            <asp:SqlDataSource ID="sdsEmp2" runat="server" 
                ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                DeleteCommand="DELETE FROM [TableEmp] WHERE [EmpID] = @EmpID" 
                InsertCommand="INSERT INTO [TableEmp] ([EmpID], [EmpName], [EmpDepertment], [Memo]) VALUES (@EmpID, @EmpName, @EmpDepertment, @Memo)" 
                SelectCommand="SELECT [EmpID], [EmpName], [EmpDepertment], [Memo] FROM [TableEmp] WHERE ([EmpID] = @EmpID)" 
                UpdateCommand="UPDATE [TableEmp] SET [EmpName] = @EmpName, [EmpDepertment] = @EmpDepertment, [Memo] = @Memo WHERE [EmpID] = @EmpID">
                <SelectParameters>
                    <asp:ControlParameter ControlID="GridView1" Name="EmpID" 
                        PropertyName="SelectedValue" Type="String" />
                </SelectParameters>
                <DeleteParameters>
                    <asp:Parameter Name="EmpID" Type="String" />
                </DeleteParameters>
                <UpdateParameters>
                    <asp:Parameter Name="EmpName" Type="String" />
                    <asp:Parameter Name="EmpDepertment" Type="String" />
                    <asp:Parameter Name="Memo" Type="String" />
                    <asp:Parameter Name="EmpID" Type="String" />
                </UpdateParameters>
                <InsertParameters>
                    <asp:Parameter Name="EmpID" Type="String" />
                    <asp:Parameter Name="EmpName" Type="String" />
                    <asp:Parameter Name="EmpDepertment" Type="String" />
                    <asp:Parameter Name="Memo" Type="String" />
                </InsertParameters>
            </asp:SqlDataSource>
            <asp:SqlDataSource ID="sdsEmpUsed" runat="server"></asp:SqlDataSource>
            <asp:Label ID="LabelErrorMessage" runat="server" ForeColor="Red" 
                Text="使用中なので削除できません" Visible="False"></asp:Label>
        </asp:View>
    </asp:MultiView>
    </form>
</body>
</html>
